package com.sipai.jspatrol.Login;

import android.content.Context;

import com.sipai.jspatrol.Bean.BaseEntity;

import java.util.HashMap;

/**
 * created by lvliming on 2019/9/11
 */
public interface LoginContract {

    interface Model{
        void executeData(Context context, HashMap<String, String> map, String server, String url) throws Exception;

        void executeComData(Context context, HashMap<String, String> map, String server, String url,String token) throws Exception;
    }

    interface View<T extends BaseEntity>{
        void handlerResult(T t);

        void handlerComResult(String result,String bizs);
    }

    interface Presenter<T extends BaseEntity>{
        //登录请求
        void requestData(Context context, HashMap<String, String> map, String server, String url);

        //登录结果响应
        void responseResult(T t);

        //厂区列表请求
        void requestComList(Context context, HashMap<String, String> map, String server, String url,String token);

        //厂区请求结果响应
        void responseComResult(String result,String biz);
    }
}
